Gets the gravity

- « Imagick::getFormat

- Imagick::getHomeURL »

- PHP Manual
- Imagick
- Gets the gravity

# Imagick::getGravity

(PECL imagick 2, PECL imagick 3)

Imagick::getGravity — Gets the gravity

### Description

public Imagick::getGravity(): int

Gets the global gravity property for the Imagick object. This method is available if Imagick has been compiled against ImageMagick version 6.4.0 or newer.

### Parameters

This function has no parameters.

### Return Values

Returns the gravity property. Refer to the list of gravity constants.